[arch-commits] Commit in kdeadmin/trunk (PKGBUILD fix-when-accessing-the-KCM.patch)

Andrea Scarpino andrea at archlinux.org
Thu Mar 4 18:06:52 EST 2010


    Date: Thursday, March 4, 2010 @ 18:06:52
  Author: andrea
Revision: 71162

upgpkg: kdeadmin 4.4.1-2
fix the AttributeError popping up when accessing the KCM (FS#18446)

Added:
  kdeadmin/trunk/fix-when-accessing-the-KCM.patch
Modified:
  kdeadmin/trunk/PKGBUILD

----------------------------------+
 PKGBUILD                         |   13 +++++++++----
 fix-when-accessing-the-KCM.patch |   11 +++++++++++
 2 files changed, 20 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-04 22:10:28 UTC (rev 71161)
+++ PKGBUILD	2010-03-04 23:06:52 UTC (rev 71162)
@@ -7,7 +7,7 @@
          'kdeadmin-kuser'
          'kdeadmin-system-config-printer-kde')
 pkgver=4.4.1
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 url='http://www.kde.org'
 license=('GPL' 'LGPL' 'FDL')
@@ -15,14 +15,19 @@
 makedepends=('pkgconfig' 'cmake' 'automoc4' 'kdepimlibs' 'kdebase-runtime'
              'kdebindings-python' 'system-config-printer-common' 'kdepim-runtime')
 source=("http://download.kde.org/stable/${pkgver}/src/${pkgbase}-${pkgver}.tar.bz2"
-	'fix-syslog-path.patch')
+	'fix-syslog-path.patch'
+	'fix-when-accessing-the-KCM.patch')
 md5sums=('6a69c96bf7ad38ea78972e926a2281e7'
-         '41b71823c7a33975ec08aaf75d67a374')
+         '41b71823c7a33975ec08aaf75d67a374'
+	 '3d79416bd7ac5a04f3ceae5529279c50')
 
 build() {
-	cd $srcdir/${pkgbase}-${pkgver}
+	cd ${srcdir}/${pkgbase}-${pkgver}
 	patch -p1 -i ${srcdir}/fix-syslog-path.patch || return 1
 
+	# fixed in 4.4.2
+	patch -Np3 -i ${srcdir}/fix-when-accessing-the-KCM.patch || return 1
+
 	cd ${srcdir}
 	mkdir build
 	cd build

Added: fix-when-accessing-the-KCM.patch
===================================================================
--- fix-when-accessing-the-KCM.patch	                        (rev 0)
+++ fix-when-accessing-the-KCM.patch	2010-03-04 23:06:52 UTC (rev 71162)
@@ -0,0 +1,11 @@
+--- trunk/KDE/kdeadmin/system-config-printer-kde/options.py	2010/01/25 07:05:28	1079837
++++ trunk/KDE/kdeadmin/system-config-printer-kde/options.py	2010/03/04 20:36:46	1098974
+@@ -133,7 +133,7 @@
+                 self.widget.clear()
+                 if type(supported) == list:
+                     for each in supported:
+-                        self.widget.addItem(self.combobox_dict[each])
++                        self.widget.addItem(each)
+                 else:
+                     self.widget.addItem(self.combobox_dict[supported])
+             elif (type(self.widget) == QComboBox and



More information about the arch-commits mailing list